# Method: fhirStores.getFHIRStoreMetrics

**Full name**: projects.locations.datasets.fhirStores.getFHIRStoreMetrics

Gets metrics associated with the FHIR store.

### HTTP request

`GET https://healthcare.googleapis.com/v1/{name=projects/*/locations/*/datasets/*/fhirStores/*}:getFHIRStoreMetrics`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the FHIR store to get metrics for. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `healthcare.fhirStores.get` |

### Request body

The request body must be empty.

### Response body

List of metrics for a given FHIR store.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "name": string, "metrics": [ { object(`https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1/projects.locations.datasets.fhirStores/getFHIRStoreMetrics#FhirStoreMetric`) } ] } ``` |

| Fields ||
|---|---|
| `name` | `string` The resource name of the FHIR store to get metrics for, in the format `projects/{projectId}/datasets/{datasetId}/fhirStores/{fhirStoreId}`. |
| `metrics[]` | ``object(`https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1/projects.locations.datasets.fhirStores/getFHIRStoreMetrics#FhirStoreMetric`)`` List of FhirStoreMetric by resource type. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-healthcare`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

## FhirStoreMetric

Count of resources and total storage size by type for a given FHIR store.

| JSON representation |
|---|
| ``` { "resourceType": string, "count": string, "structuredStorageSizeBytes": string, "versionedStorageSizeBytes": string } ``` |

| Fields ||
|---|---|
| `resourceType` | `string` The FHIR resource type this metric applies to. |
| `count` | `string (https://developers.google.com/discovery/v1/type-format format)` The total count of FHIR resources in the store of this resource type. |
| `structuredStorageSizeBytes` | `string (https://developers.google.com/discovery/v1/type-format format)` The total amount of structured storage used by FHIR resources of this resource type in the store. |
| `versionedStorageSizeBytes` | `string (https://developers.google.com/discovery/v1/type-format format)` The total amount of versioned storage used by versioned FHIR resources of this resource type in the store. |